- Qt 6.4
- Qt 3D
- QML Types
- Qt3D.Core
- Node
- Qt 6.4.2 Reference Documentation

# Node QML Type

A base QML type that other types inherit. It cannot be directly created. More...

Import Statement: | import Qt3D.Core 2.4
Since: | Qt 5.5
Inherited By: | AbstractSkeleton, AbstractTextureImage, Component3D, Effect, Entity, FilterKey, FrameGraphNode, Geometry, GeometryView, Joint, KeyboardDevice, RenderPass, RenderState, and RenderTargetOutput

- List of all members, including inherited members

## Properties

- childNodes : list<Node>
- data : list<QtQml::QtObject>

## Detailed Description

## Property Documentation

[read-only] childNodes : list<Node>

[default] data : list<QtQml::QtObject>